Error
Core

A Proton API error. More...

Collaboration diagram for Error:

## Macros

#define | PN_OK
| No error.
#define | PN_EOS
| End of stream.
#define | PN_ERR
| General error.
#define | PN_OVERFLOW
| Overflow error.
#define | PN_UNDERFLOW
| Underflow error.
#define | PN_STATE_ERR
| State error.
#define | PN_ARG_ERR
| Argument error.
#define | PN_TIMEOUT
| Timeout.
#define | PN_INTR
| Interrupt.
#define | PN_INPROGRESS
| In-progress.
#define | PN_OUT_OF_MEMORY
| Out-of-memory error.
#define | PN_ABORTED
| Delivery aborted error.

## Typedefs

typedef struct pn_error_t | pn_error_t
| An int error `code` and some string `text` to describe the error.

## Functions

const char * | pn_code (int code)
| Get the name of the error code. More...
pn_error_t * | pn_error (void)
| Create an error object.
void | pn_error_free (pn_error_t *error)
| Free an error object.
void | pn_error_clear (pn_error_t *error)
| Reset the error to a "no error" state with code == 0.
int | pn_error_set (pn_error_t *error, int code, const char *text)
| Set the error code and text. More...
int | pn_error_vformat (pn_error_t *error, int code, const char *fmt, va_list ap)
| Set the code and set the text using a printf-style formatted string.
int | pn_error_format (pn_error_t *error, int code, const char *fmt,...)
| Set the code and set the text using a printf-style formatted string.
int | pn_error_code (pn_error_t *error)
| Get the the error code.
const char * | pn_error_text (pn_error_t *error)
| Get the error text. More...
int | pn_error_copy (pn_error_t *error, pn_error_t *src)
| Copy the src error.

## Detailed Description

A Proton API error.

## Function Documentation

## pn_code()

const char* pn_code | ( | int | code | ) |

Get the name of the error code.

Returned pointer is to a static constant, do not delete.

Examples
  broker.c, direct.c, and receive.c.

## pn_error_set()

int pn_error_set | ( | pn_error_t * | error,
|  | int | code,
|  | const char * | text
| ) |  |

Set the error code and text.

Makes a copy of text.

## pn_error_text()

const char* pn_error_text | ( | pn_error_t * | error | ) |

Get the error text.

The returned pointer is owned by the pn_error_t.

Examples
  direct.c, and send.c.